Subject: Re: [PATCH 2/2] cpufreq: vexpress-spc: Switch cpumask from topology core to OPP sharing

From: Sudeep Holla <[email-masked]>
Date: Mon, 2 Dec 2019 11:11:14 +0000

On Mon, Dec 02, 2019 at 07:31:46AM +0530, Viresh Kumar wrote:
> On 29-11-19, 11:49, Sudeep Holla wrote:
> > Hi Viresh, Rafael,
> >
> > On Thu, Nov 28, 2019 at 10:15:47AM +0000, Sudeep Holla wrote:
> > > Since commit ca74b316df96 ("arm: Use common cpu_topology structure and
> > > functions.") the core cpumask has to be modified during cpu hotplug
> > > operations. So using them to set up cpufreq policy cpumask may be
> > > incorrect as it may contain only cpus that are online at that instance.
> > >
> > > Instead, we can use the cpumask setup by OPP library that contains all
> > > the cpus sharing OPP table using dev_pm_opp_get_sharing_cpus.
> > >
> > > Cc: Viresh Kumar <[email-masked]>
> >
> > This can go independently via PM tree and I can take 1/2 via SoC tree
> > (as the file is being moved). The problem will be fixed only after both
> > lands, but this alone won't break the build.
>
> Yes, but it will break cpufreq for sure as shared-cpus won't be set by anyone.
>

It's already broke on hotplug :) but yes works on boot at-least.

> > Or if you guys provide
> > Ack, I can take both together via ARM SoC team. Let me know.
>
> I was planning to take them through cpufreq tree, but that fine if you can do
> that.
>

Arnd moved and compressed few folders in arch/arm/mach-*, and vexpress
was merged into versatile. Not sure if it's planned for v5.5, so to be
cautious, I preferred to take it via ARM SoC.

> Acked-by: Viresh Kumar <[email-masked]>

Thanks, I will take them together via ARM SoC

--
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel